Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BoundingHexahedron Class Reference

This defines a bounding convex hexahedron. More...

Inheritance diagram for BoundingHexahedron:

List of all members.

## Public Member Functions
| BoundingHexahedron (LFrustumf const frustum, bool is_ortho, CoordinateSystem cs)
| BoundingHexahedron (LFrustumf const frustum, bool is_ortho)
| BoundingHexahedron (Point3 const fll, Point3 const flr, Point3 const fur, Point3 const ful, Point3 const nll, Point3 const nlr, Point3 const nur, Point3 const nul)
int | getNumPlanes ()
| Returns 6: the number of faces of a hexahedron.
int | getNumPoints ()
| Returns 8: the number of vertices of a hexahedron.
LPlanef | getPlane (int n)
| Returns the nth face of the hexahedron.
list | getPlanes ()
Point3 | getPoint (int n)
| Returns the nth vertex of the hexahedron.
list | getPoints ()
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This defines a bounding convex hexahedron.

It is typically used to represent a frustum, but may represent any enclosing convex hexahedron, including simple boxes. However, if all you want is an axis-aligned bounding box, you may be better off with the simpler BoundingBox class.

## Constructor & Destructor Documentation

BoundingHexahedron | ( | LFrustumf const | frustum,
|  | bool | is_ortho,
|  | CoordinateSystem | cs
| ) |  |

BoundingHexahedron | ( | LFrustumf const | frustum,
|  | bool | is_ortho
| ) |  |

BoundingHexahedron | ( | Point3 const | fll,
|  | Point3 const | flr,
|  | Point3 const | fur,
|  | Point3 const | ful,
|  | Point3 const | nll,
|  | Point3 const | nlr,
|  | Point3 const | nur,
|  | Point3 const | nul
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from FiniteBoundingVolume.

int getNumPlanes | ( |  | ) |

Returns 6: the number of faces of a hexahedron.

int getNumPoints | ( |  | ) |

Returns 8: the number of vertices of a hexahedron.

LPlanef getPlane | ( | int | n | ) |

Returns the nth face of the hexahedron.

list getPlanes | ( |  | ) |

Point3 getPoint | ( | int | n | ) |

Returns the nth vertex of the hexahedron.

list getPoints | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties